Subject: RE: [Sip] Authorization policy change after SUBSCRIBE dialog esta blished

From: Adam Roach <[email-masked]>
Date: Thu, 27 Jun 2002 15:11:00 -0400

The meaning of the "Allow-Events" header is tied to capabilities,
not authorization.

So, no.

/a

P.S. Keep in mind that any single subscription will use only *one* events
     package. If I read your motivation correctly, you may be under a
     different impression.

> -----Original Message-----
> From: Ken Jordan [mailto:[email-masked]]
> Sent: Thursday, June 27, 2002 13:08
> To: 'Adam Roach'; [email-masked]
> Subject: RE: [Sip] Authorization policy change after SUBSCRIBE dialog
> established
> 
> 
> 
> A follow-up question;  The allow-events header is used by the 
> server to
> indicate what events it supports.  For the rejected response 
> below, can the
> allow-events header take on a more specific meaning to 
> indicate what events
> this particular authenticated subscriber is allowed to 
> subscribe to?  I.e.
> does the server have a means to tell the authenticated subscriber what
> events they are authorized for?  (I was not sure if section 4.3.7 of
> sip-events-05 allowed this usage)
> 
> -Ken
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On 
> Behalf Of Adam
> > Roach
> > Sent: Thursday, June 27, 2002 1:09 PM
> > To: [email-masked]'; [email-masked]'
> > Subject: RE: [Sip] Authorization policy change after 
> SUBSCRIBE dialog
> > established
> >
> >
> > If *authorization* policy changes, I would take that to mean
> > that the user is no longer authorized to subscribe to the state.
> > Re-authentication will have no useful effect. You will send a
> > NOTIFY with a header of
> >
> >   Subscription-State: terminated;reason=rejected
> >
> > The subscriber will not re-authenticate, because the problem is
> > not *authentication* -- it is *authorization*.
> >
> > If you simply want to re-authenticate for whatever reason, a
> > NOTIFY with a header of
> >
> >   Subscription-State: terminated;reason=deactivated
> >
> > will prompt the user to re-subscribe. This subscribe can then be
> > challenged.
> >
> > /a
> >
> > > -----Original Message-----
> > > From: Ken Jordan [mailto:[email-masked]]
> > > Sent: Thursday, June 27, 2002 9:32
> > > To: Sipietf (E-mail)
> > > Subject: [Sip] Authorization policy change after SUBSCRIBE dialog
> > > established
> > >
> > >
> > >
> > >
> > > If authorization policy changes during an existing
> > > subscription dialog, how
> > > does the notifier cause the subscriber to authenticate (or
> > > reauthenticate)?
> > > Is the expires values explicitly set to zero in an immediate
> > > notify?  Is the
> > > dialog terminated as a 401?
> > >
> > > -Ken
> > >
> > >
> > > _______________________________________________
> > > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > > This list is for NEW development of the core SIP Protocol
> > > Use [email-masked] for questions on current sip
> > > Use [email-masked] for new developments on the 
> application of sip
> > >
> >
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip